Subject: [PATCH 1/5] gpiolib: devres: Introduce the function devm_request_gpio_array

From: [email-masked] (Rob Jones)
Date: Thu, 14 Aug 2014 16:17:02 +0100

I'm afraid too many other things have been landing on my plate and I
don't think I will be able to get on this for the foreseeable future,
sorry about this.

On 11/07/14 11:07, Javier Martinez Canillas wrote:
> Hello Rob,
>
> On Fri, Jul 11, 2014 at 12:03 PM, Rob Jones <[email-masked]> wrote:
>>
>>
>> On 11/07/14 01:35, Javier Martinez Canillas wrote:
>>>
>>> Hello Rob,
>>>
>>> On Thu, Jul 10, 2014 at 1:01 PM, Rob Jones <[email-masked]>
>>> wrote:
>>
>>
>> <snip>
>>
>>
>>>>
>>>> I will certainly consider it. I'm in the middle of something else right
>>>> now but I should be available in a day or two and I'll have a look.
>>>>
>>>>
>>>
>>> I'm working on a driver for a PMIC which uses a set of GPIO to select
>>> a particular register. Right now I'm getting each GPIO independently
>>> but Linus mentioned [0] the devm_gpio_request_array() patch you
>>> posted.
>>>
>>> Now, I'm not using the integer-based GPIO API but the new
>>> descriptor-based one so I was wondering if you are already
>>> implementing a devm_gpiod_get_array() or if you want me to implement
>>> it myself.
>>>
>>
>> As I said, I'm deep in something else for the next day or two so if you
>> need it urgently you should probably do it yourself but if you don't
>> mind waiting until next week, I can have a go.
>>
>> Your call, let me know.
>>
>
> I'm not in a hurry, just wanted to know if it was on your plate. I'll
> wait for your patch then, thanks!
>
> Best regards,
> Javier
>
>

-- 
Rob Jones
Codethink Ltd
mailto:rob.jones at codethink.co.uk
tel:+44 161 236 5575